Skip to main content
GET
Queries all sales orders.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://auth.jtl-cloud.com/oauth2/auth
Token URL
https://auth.jtl-cloud.com/oauth2/token

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Query Parameters

pageNumber
integer<int32>

Number of the page of items to fetch. Defaults to 1 when omitted.

pageSize
integer<int32>

Size of the page specified by PageNumber. Defaults to 100 when omitted.

sortBy
string

Property to sort by. Multiple comma-separated fields are applied in order (OrderBy, then ThenBy).

sortDescending
boolean

Sort in descending order. Defaults to ascending when omitted.

estimatedDeliveryDateAfter
string<date-time>

Only include items whose EstimatedDeliveryDate is after (greater than) this value.

estimatedDeliveryDateBefore
string<date-time>

Only include items whose EstimatedDeliveryDate is before (less than) this value.

lastShippingDateAfter
string<date-time>

Only include items whose LastShippingDate is after (greater than) this value.

lastShippingDateBefore
string<date-time>

Only include items whose LastShippingDate is before (less than) this value.

salesOrderDateAfter
string<date-time>

Only include items whose SalesOrderDate is after (greater than) this value.

salesOrderDateBefore
string<date-time>

Only include items whose SalesOrderDate is before (less than) this value.

printDateAfter
string<date-time>

Only include items whose PrintDate is after (greater than) this value.

printDateBefore
string<date-time>

Only include items whose PrintDate is before (less than) this value.

mailDateAfter
string<date-time>

Only include items whose MailDate is after (greater than) this value.

mailDateBefore
string<date-time>

Only include items whose MailDate is before (less than) this value.

paymentMailDateAfter
string<date-time>

Only include items whose PaymentMailDate is after (greater than) this value.

paymentMailDateBefore
string<date-time>

Only include items whose PaymentMailDate is before (less than) this value.

dateOfPaymentAfter
string<date-time>

Only include items whose DateOfPayment is after (greater than) this value.

dateOfPaymentBefore
string<date-time>

Only include items whose DateOfPayment is before (less than) this value.

paymentDateAfter
string<date-time>

Only include items whose PaymentDate is after (greater than) this value.

paymentDateBefore
string<date-time>

Only include items whose PaymentDate is before (less than) this value.

cancelledDateAfter
string<date-time>

Only include items whose CancelledDate is after (greater than) this value.

cancelledDateBefore
string<date-time>

Only include items whose CancelledDate is before (less than) this value.

Response

Paged result.

totalItems
integer<int32>
required
pageNumber
integer<int32>
required
pageSize
integer<int32>
required
items
object[]
required
totalPages
integer<int32>
hasPreviousPage
boolean
hasNextPage
boolean
nextPageNumber
integer<int32>
previousPageNumber
integer<int32>